## drawterm 0.0.20060530

=== gui-x11/Makefile ===
ROOT=..
include ../Make.config
LIB=libgui.a

OFILES=\
	alloc.$O\
	cload.$O\
	draw.$O\
	load.$O\
	screen.$O\
	keysym2ucs-x11.$O

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

=== libc/Makefile ===
ROOT=..
include ../Make.config
LIB=libc.a

OFILES=\
	charstod.$O\
	cleanname.$O\
	convD2M.$O\
	convM2D.$O\
	convM2S.$O\
	convS2M.$O\
	crypt.$O\
	dial.$O\
	dirfstat.$O\
	dirfwstat.$O\
	dirmodefmt.$O\
	dirstat.$O\
	dirwstat.$O\
	dofmt.$O\
	dorfmt.$O\
	encodefmt.$O\
	fcallfmt.$O\
	fltfmt.$O\
	fmt.$O\
	fmtfd.$O\
	fmtfdflush.$O\
	fmtlock.$O\
	fmtprint.$O\
	fmtquote.$O\
	fmtrune.$O\
	fmtstr.$O\
	fmtvprint.$O\
	fprint.$O\
	getfields.$O\
	getpid.$O\
	lock.$O\
	mallocz.$O\
	nan64.$O\
	netmkaddr.$O\
	nsec.$O\
	pow10.$O\
	pushssl.$O\
	pushtls.$O\
	read9pmsg.$O\
	readn.$O\
	rune.$O\
	runefmtstr.$O\
	runeseprint.$O\
	runesmprint.$O\
	runesnprint.$O\
	runesprint.$O\
	runetype.$O\
	runevseprint.$O\
	runevsmprint.$O\
	runevsnprint.$O\
	seprint.$O\
	smprint.$O\
	snprint.$O\
	sprint.$O\
	strecpy.$O\
	strtod.$O\
	strtoll.$O\
	sysfatal.$O\
	time.$O\
	tokenize.$O\
	truerand.$O\
	u16.$O\
	u32.$O\
	u64.$O\
	utfecpy.$O\
	utflen.$O\
	utfnlen.$O\
	utfrrune.$O\
	utfrune.$O\
	utfutf.$O\
	vfprint.$O\
	vseprint.$O\
	vsmprint.$O\
	vsnprint.$O

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== posix-386/Makefile ===
ROOT=..
include ../Make.config
LIB=../libmachdep.a

OFILES=\
	getcallerpc.$O\
	md5block.$O\
	sha1block.$O\
	tas.$O

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

%.$O: %.s
	$(AS) -o $*.$O $*.s

md5block.s: md5block.spp
	cpp md5block.spp >md5block.s

sha1block.s: sha1block.spp
	cpp sha1block.spp >sha1block.s

## drawterm 20110822

=== Makefile ===
ROOT=.

include Make.config

OFILES=\
	main.$O\
	cpu.$O\
	readcons.$O\
	secstore.$O\
	latin1.$O\
	$(OS)-factotum.$O\
	$(XOFILES)\

LIBS1=\
	kern/libkern.a\
	exportfs/libexportfs.a\
	libauth/libauth.a\
	libauthsrv/libauthsrv.a\
	libsec/libsec.a\
	libmp/libmp.a\
	libmemdraw/libmemdraw.a\
	libmemlayer/libmemlayer.a\
	libdraw/libdraw.a\
	gui-$(GUI)/libgui.a\
	libc/libc.a\

# stupid gcc
LIBS=$(LIBS1) $(LIBS1) $(LIBS1) libmachdep.a

default: $(TARG)
$(TARG): $(OFILES) $(LIBS)
	$(CC) $(LDFLAGS) -o $(TARG) $(OFILES) $(LIBS) $(LDADD)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

clean:
	rm -f *.o */*.o */*.a *.a drawterm drawterm.exe

kern/libkern.a:
	(cd kern; $(MAKE))

exportfs/libexportfs.a:
	(cd exportfs; $(MAKE))

libauth/libauth.a:
	(cd libauth; $(MAKE))
	
libauthsrv/libauthsrv.a:
	(cd libauthsrv; $(MAKE))

libmp/libmp.a:
	(cd libmp; $(MAKE))

libsec/libsec.a:
	(cd libsec; $(MAKE))

libmemdraw/libmemdraw.a:
	(cd libmemdraw; $(MAKE))

libmemlayer/libmemlayer.a:
	(cd libmemlayer; $(MAKE))

libdraw/libdraw.a:
	(cd libdraw; $(MAKE))

libc/libc.a:
	(cd libc; $(MAKE))

gui-$(GUI)/libgui.a:
	(cd gui-$(GUI); $(MAKE))

=== libsec/Makefile ===
ROOT=..
include ../Make.config
LIB=libsec.a

OFILES=\
	aes.$O\
	blowfish.$O\
	decodepem.$O\
	des.$O\
	des3CBC.$O\
	des3ECB.$O\
	desCBC.$O\
	desECB.$O\
	desmodes.$O\
	dsaalloc.$O\
	dsagen.$O\
	dsaprimes.$O\
	dsaprivtopub.$O\
	dsasign.$O\
	dsaverify.$O\
	egalloc.$O\
	egdecrypt.$O\
	egencrypt.$O\
	eggen.$O\
	egprivtopub.$O\
	egsign.$O\
	egverify.$O\
	fastrand.$O\
	genprime.$O\
	genrandom.$O\
	gensafeprime.$O\
	genstrongprime.$O\
	hmac.$O\
	md4.$O\
	md5.$O\
	md5pickle.$O\
	nfastrand.$O\
	prng.$O\
	probably_prime.$O\
	rc4.$O\
	rsaalloc.$O\
	rsadecrypt.$O\
	rsaencrypt.$O\
	rsafill.$O\
	rsagen.$O\
	rsaprivtopub.$O\
	sha1.$O\
	sha1pickle.$O\
	smallprimes.$O

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== posix-sun4u/Makefile ===
ROOT=..
include ../Make.config
LIB=../libmachdep.a

OFILES=\
	getcallerpc.$O\
	md5block.$O\
	sha1block.$O\
	tas.$O

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

%.$O: %.s
	$(AS) -o $*.$O $*.s

%.s: %.spp
	cpp $*.spp >$*.s

=== debian/changelog ===
drawterm (20110822-1) unstable; urgency=low

  * New upstream release.
  * Updated dummy watchfile.
  * Added repack script to remove .hg files from upstream tarball.
  * debian/rules: added recommended targets: build-{arch,indep}.
  * debian/control:
    - Corrected description.
    - Bumped Standards-Version.
  * debian/source/format: added "3.0 (quilt)".

 -- Martín Ferrari <tincho@debian.org>  Sun, 10 Jun 2012 23:39:56 +0100

drawterm (20091003-1) unstable; urgency=low

  * Merged own manpage with one provided by uptream in private mail.
  * Updated dummy watchfile.
  * New upstream release.
  * debian/rules: remove dh_clean -k.
  * debian/control: bumped Standards-Version, no changes.

 -- Martín Ferrari <tincho@debian.org>  Thu, 18 Feb 2010 02:56:59 +0100

drawterm (0.cvs+20081209.1-1) unstable; urgency=low

  * The "should ask upstream for help before fighting for hours to solve
    upstream problems" release.
  * New upstream release that closes: #508068, #508100.
  * debian/rules: use the new CONF=pthreads makefiles.
  * debian/CHANGES: add upstream changelog, syntetized from cvs logs.
  * New minimal upstream release, fixes a problem in sparc.

 -- Martín Ferrari <tincho@debian.org>  Tue, 09 Dec 2008 23:31:45 -0200

drawterm (0.cvs+20080909-1) unstable; urgency=low

  * Initial release (Closes: #298340).

 -- Martín Ferrari <tincho@debian.org>  Thu, 16 Oct 2008 12:21:32 -0300

=== debian/control ===
Source: drawterm
Section: x11
Priority: extra
Maintainer: Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>= 7), libxt-dev
Standards-Version: 3.9.3
Homepage: http://swtch.com/drawterm/
Vcs-Browser: http://canterville.mine.nu/wsvn/debian/trunk/drawterm/

Package: drawterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical client for Plan 9 CPU servers
 Drawterm is a X11 application that allows one to connect to a remote Plan 9
 server, usually a CPU server, but a terminal can also be tweaked to receive
 drawterm clients.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CONF=pthread
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) CONF=pthread clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs usr/bin
	dh_install drawterm usr/bin

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/CHANGES
	dh_installdocs
#	dh_install
	dh_installman debian/drawterm.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3

# Dummy, upstream doesn't show the version
opts=uversionmangle=s/.*/20110822/ \
http://swtch.com/drawterm/ (drawterm).tgz

## drawterm 20170818

=== Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
 	libdraw/libdraw.a\
 	gui-$(GUI)/libgui.a\
 	libc/libc.a\
+	libip/libip.a\
 
 # stupid gcc
 LIBS=$(LIBS1) $(LIBS1) $(LIBS1) libmachdep.a
@@ -67,5 +68,8 @@
 libc/libc.a:
 	(cd libc; $(MAKE))
 
+libip/libip.a:
+	(cd libip; $(MAKE))
+
 gui-$(GUI)/libgui.a:
 	(cd gui-$(GUI); $(MAKE))

=== exportfs/Makefile ===
ROOT=..
include ../Make.config
LIB=libexportfs.a

OFILES=\
	exportfs.$O\
	exportsrv.$O

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== gui-osx/Makefile ===
ROOT=..
include ../Make.config
LIB=libgui.a

OFILES=\
	alloc.$O\
	cload.$O\
	draw.$O\
	load.$O\
	screen.$O

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== gui-win32/Makefile ===
ROOT=..
include ../Make.config
LIB=libgui.a

OFILES=\
	alloc.$O\
	cload.$O\
	draw.$O\
	load.$O\
	screen.$O\
	r16.$O

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== gui-x11/Makefile ===
--- 
+++ 
@@ -3,11 +3,7 @@
 LIB=libgui.a
 
 OFILES=\
-	alloc.$O\
-	cload.$O\
-	draw.$O\
-	load.$O\
-	screen.$O\
+	x11.$O\
 	keysym2ucs-x11.$O
 
 default: $(LIB)

=== kern/Makefile ===
ROOT=..
include ../Make.config
LIB=libkern.a

OFILES=\
	allocb.$O\
	cache.$O\
	chan.$O\
	data.$O\
	dev.$O\
	devaudio.$O\
	devaudio-$(AUDIO).$O\
	devcons.$O\
	devdraw.$O\
	devfs-$(OS).$O\
	devip.$O\
	devip-$(OS).$O\
	devlfd.$O\
	devmnt.$O\
	devmouse.$O\
	devpipe.$O\
	devroot.$O\
	devssl.$O\
	devtls.$O\
	devtab.$O\
	error.$O\
	parse.$O\
	pgrp.$O\
	procinit.$O\
	rwlock.$O\
	sleep.$O\
	smalloc.$O\
	stub.$O\
	sysfile.$O\
	sysproc.$O\
	qio.$O\
	qlock.$O\
	term.$O\
	uart.$O\
	waserror.$O\
	$(OS).$O

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== libauth/Makefile ===
ROOT=..
include ../Make.config

LIB=libauth.a
OFILES=\
	attr.$O\
	auth_attr.$O\
	auth_challenge.$O\
	auth_getuserpasswd.$O\
	auth_proxy.$O\
	auth_respond.$O\
	auth_rpc.$O\
	auth_userpasswd.$O\

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== libauthsrv/Makefile ===
ROOT=..
include ../Make.config
LIB=libauthsrv.a

OFILES=\
	_asgetticket.$O\
	_asrdresp.$O\
	convA2M.$O\
	convM2A.$O\
	convM2PR.$O\
	convM2T.$O\
	convM2TR.$O\
	convPR2M.$O\
	convT2M.$O\
	convTR2M.$O\
	nvcsum.$O\
	opasstokey.$O\
	passtokey.$O\

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== libc/Makefile ===
--- 
+++ 
@@ -49,6 +49,9 @@
 	runesmprint.$O\
 	runesnprint.$O\
 	runesprint.$O\
+	runestrchr.$O\
+	runestrlen.$O\
+	runestrstr.$O\
 	runetype.$O\
 	runevseprint.$O\
 	runevsmprint.$O\

=== libdraw/Makefile ===
ROOT=..
include ../Make.config
LIB=libdraw.a

OFILES=\
	alloc.$O\
	arith.$O\
	bytesperline.$O\
	chan.$O\
	defont.$O\
	drawrepl.$O\
	icossin.$O\
	icossin2.$O\
	rectclip.$O\
	rgb.$O

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== libip/Makefile ===
ROOT=..
include ../Make.config
LIB=libip.a

OFILES=\
	eipfmt.$O\
	parseip.$O\
	classmask.$O\
	bo.$O\
	ipaux.$O\

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== libmp/Makefile ===
ROOT=..
include ../Make.config
# N.B.  This is used only for secstore.  It needn't be fast.

LIB=libmp.a

OFILES=\
	betomp.$O\
	crt.$O\
	letomp.$O\
	mpadd.$O\
	mpaux.$O\
	mpcmp.$O\
	mpdigdiv.$O\
	mpdiv.$O\
	mpeuclid.$O\
	mpexp.$O\
	mpextendedgcd.$O\
	mpfmt.$O\
	mpinvert.$O\
	mpleft.$O\
	mpmod.$O\
	mpmul.$O\
	mprand.$O\
	mpright.$O\
	mpsub.$O\
	mptobe.$O\
	mptoi.$O\
	mptole.$O\
	mptoui.$O\
	mptouv.$O\
	mptov.$O\
	mpvecadd.$O\
	mpveccmp.$O\
	mpvecdigmuladd.$O\
	mpvecsub.$O\
	strtomp.$O

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== debian/changelog ===
drawterm (20170818-1) unstable; urgency=low

  * Refurbish Debian packaging (it's been 6 years!). Closes: 864557.
  * New upstream snapshot, from new repository and new maintainer.

 -- Martín Ferrari <tincho@debian.org>  Mon, 21 Aug 2017 01:27:01 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: x11
 Priority: extra
 Maintainer: Martín Ferrari <tincho@debian.org>
-Build-Depends: debhelper (>= 7), libxt-dev
-Standards-Version: 3.9.3
-Homepage: http://swtch.com/drawterm/
-Vcs-Browser: http://canterville.mine.nu/wsvn/debian/trunk/drawterm/
+Build-Depends: debhelper (>= 10~), libxt-dev
+Standards-Version: 4.0.1
+Homepage: https://github.com/0intro/drawterm
+Vcs-Browser: https://anonscm.debian.org/cgit/users/tincho/drawterm.git
+Vcs-Git: https://anonscm.debian.org/git/users/tincho/drawterm.git
 
 Package: drawterm
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export CONF=pthread

%:
	dh $@

=== debian/watch ===
version=3

# Upstream still does not provide releases.

## drawterm 20240821

=== libmp/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	mpadd.$O\
 	mpaux.$O\
 	mpcmp.$O\
+	mpfactorial.$O\
 	mpdigdiv.$O\
 	mpdiv.$O\
 	mpeuclid.$O\

=== libsec/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 OFILES=\
 	aes.$O\
 	blowfish.$O\
+	chacha.$O\
 	decodepem.$O\
 	des.$O\
 	des3CBC.$O\
@@ -46,7 +47,11 @@
 	rsaprivtopub.$O\
 	sha1.$O\
 	sha1pickle.$O\
-	smallprimes.$O
+	sha2_64.$O\
+	sha2block64.$O\
+	sha2_128.$O\
+	sha2block128.$O\
+	smallprimes.$O\
 
 default: $(LIB)
 $(LIB): $(OFILES)

=== debian/changelog ===
drawterm (20240821-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Martina Ferrari ]
  * Switch to 9front fork.
  * Update my name and email address.
  * Various automated updates to packaging.
  * Use upstream's manpage.
  * d/rules: Fix compilation.
  * d/watch: Bump version.
  * d/docs: Include README.
  * Package a new snapshot from 9front.

  [ Andreas Tille ]
  * d/watch
     - Version=5
     - Use latest Git commit
  * New upstream version
  * Respect Debian build flags
    Closes: #1119395
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Jan 2026 16:31:11 +0100

=== debian/control ===
Source: drawterm
Maintainer: Martina Ferrari <tina@debian.org>
Section: x11
Homepage: https://drawterm.9front.org/
Build-Depends: debhelper-compat (= 13),
               libxt-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/drawterm
Vcs-Git: https://salsa.debian.org/debian/drawterm.git

Package: drawterm
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: graphical client for Plan 9 CPU servers
 Drawterm is a X11 application that allows one to connect to a remote Plan 9
 server, usually a CPU server, but a terminal can also be tweaked to receive
 drawterm clients.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export CONF=unix

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- DEBIANCFLAGS="$(CFLAGS)" DEBIANLDFLAGS="$(LDFLAGS)"

=== debian/watch ===
Version: 5

Source: https://github.com/9fans/@PACKAGE@.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: %cd
